#!/bin/bash

umask 002

#nodes=${1:-"0 1 2 3"}
nodes=${1:-"0"}

err=0
[[ -z $Path_SICW ]] && Path_SICW=/proc/sicwrite
[[ ! -f $Path_SICW ]] && exit 1

for cpu in `echo ${nodes}`; do
	[[ ${cpu} == "0" ]] || [[ ${cpu} == "1" ]] || [[ ${cpu} == "2" ]] || [[ ${cpu} == "3" ]] || { echo "Error! Wrong NODE number=${cpu}"; exit 1; }
	
	echo "Trying to reinit io-link NODE_${cpu} <-> IOHUB_${cpu}"
	echo "${cpu} 0x0704 0xf05" > $Path_SICW || err=1
	sleep 1;
done

[[ $err == "1" ]] && exit 1
exit 0
